// (C)2007 Attila Kovacs <attila@submm.caltech.edu>

import java.io.*;
import java.util.*;


public class TauInterpolator extends Interpolator {
	/**
	 * 
	 */
	private static final long serialVersionUID = -7962217110619389946L;

	public TauInterpolator(String fileName) throws IOException {
		super(fileName);
	}
	
	public void readData(String fileName) throws IOException {
		BufferedReader in = new BufferedReader(new InputStreamReader(new FileInputStream(fileName)));

		String line = null;
		while((line = in.readLine()) != null) if(line.length() > 0) if(line.charAt(0) != '#') {
			StringTokenizer tokens = new StringTokenizer(line);
			InterpolatorData skydip = new InterpolatorData();
			tokens.nextToken();
			tokens.nextToken();
			skydip.MJD = Double.parseDouble(tokens.nextToken());
			skydip.value = Double.parseDouble(tokens.nextToken());
			add(skydip);
		}
		
	}	
}

